| Flutter Impeller |

Public Member Functions | Friends | List of all members
impeller::SamplerLibraryVK Class Referencefinal

`#include <sampler_library_vk.h>`

Inheritance diagram for impeller::SamplerLibraryVK:

## Public Member Functions
| ~SamplerLibraryVK () override
| SamplerLibraryVK (const std::weak_ptr< DeviceHolderVK > &device_holder)
void | ApplyWorkarounds (const WorkaroundsVK &workarounds)
Public Member Functions inherited from impeller::SamplerLibrary
virtual | ~SamplerLibrary ()

## Friends
class | ContextVK

## Additional Inherited Members
Static Public Member Functions inherited from impeller::BackendCast< SamplerLibraryVK, SamplerLibrary >
static SamplerLibraryVK & | Cast (SamplerLibrary &base)
static const SamplerLibraryVK & | Cast (const SamplerLibrary &base)
static SamplerLibraryVK * | Cast (SamplerLibrary *base)
static const SamplerLibraryVK * | Cast (const SamplerLibrary *base)
Protected Member Functions inherited from impeller::SamplerLibrary
| SamplerLibrary ()

## Detailed Description

Definition at line 17 of file sampler_library_vk.h.

## Constructor & Destructor Documentation

## ◆ ~SamplerLibraryVK()

impeller::SamplerLibraryVK::~SamplerLibraryVK | ( |  | ) |
| overridedefault

## ◆ SamplerLibraryVK()

impeller::SamplerLibraryVK::SamplerLibraryVK | ( | const std::weak_ptr< DeviceHolderVK > & | device_holder | ) |
| explicit

Definition at line 12 of file sampler_library_vk.cc.

14 : device_holder_(device_holder) {}

## Member Function Documentation

## ◆ ApplyWorkarounds()

void impeller::SamplerLibraryVK::ApplyWorkarounds | ( | const WorkaroundsVK & | workarounds | ) |

Definition at line 18 of file sampler_library_vk.cc.

18 {
19 mips_disabled_workaround_ = workarounds.broken_mipmap_generation;
20 }

References impeller::WorkaroundsVK::broken_mipmap_generation.

## Friends And Related Function Documentation

## ◆ ContextVK

friend class ContextVK
| friend

Definition at line 29 of file sampler_library_vk.h.

The documentation for this class was generated from the following files:

- impeller/renderer/backend/vulkan/sampler_library_vk.h
- impeller/renderer/backend/vulkan/sampler_library_vk.cc